## rock-master-19.06-ruby-hoe-yard 0.1.3

=== debian/changelog ===
rock-master-19.06-ruby-hoe-yard (0.1.3-1~jessie) UNRELEASED; urgency=medium

  * Initial release (Closes: #nnnn~jessie)

 -- MAINTAINER <rock-user@rock.dfki.uni-bremen.de>  Sun, 26 Jan 2020 00:00:01 +0100
