=== debian/control ===
Source: rock-master-19.06-ruby-hoe-yard
Section: FIXME
Priority: optional
Maintainer: Rock Packaging Daemon <rock-dev@dfki.de>
Uploaders:
Build-Depends: debhelper, gem2deb, yard (>= 0.8), rock-master-19.06-ruby-yard, dh-autoreconf
Standards-Version: 4.1.3
Vcs-Git:
Vcs-Browser:
Homepage: http://github.com/postmodern/hoe-yard/
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all

Package: rock-master-19.06-ruby-hoe-yard
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter, yard (>= 0.8), ${misc:Depends}, ${shlibs:Depends}, rock-master-19.06-ruby-yard
Description: A Hoe plugin for generating YARD documentation
 A Hoe plugin for generating YARD documentation.
 .
 Using the Hoe YARD plugin, projects can begin generating YARD documentation
 instantly. Additionally, any resulting RubyGems will be properly configured
 to automatically generate YARD documentation upon installation.
